import request from '@/utils/request'

// 查询物料管理列表
export function listMaterial(query) {
  return request({
    url: '/material/material/list',
    method: 'get',
    params: query
  })
}

// 查询物料管理详细
export function getMaterial(materialId) {
  return request({
    url: '/material/material/' + materialId,
    method: 'get'
  })
}

// 新增物料管理
export function addMaterial(data) {
  return request({
    url: '/material/material',
    method: 'post',
    data: data
  })
}

// 修改物料管理
export function updateMaterial(data) {
  return request({
    url: '/material/material',
    method: 'put',
    data: data
  })
}

// 删除物料管理
export function delMaterial(materialId) {
  return request({
    url: '/material/material/' + materialId,
    method: 'delete'
  })
}

// 查询材料管理列表
export function listClMaterial(query) {
  return request({
    url: '/material/material/clMaterialList',
    method: 'get',
    params: query
  })
}

// 查询物料类型管理列表
export function listMaterialType(query) {
  return request({
    url: '/material/material/cTypelist',
    method: 'get',
    params: query
  })
}

//同步物料材料用量
export function synchronizeUpdate() {
  return request({
    url: '/material/material/synchronizeUpdate',
    method: 'post'
  })
}
